#include <stdio.h>
#include <process.h>
#include <string.h>

long n,read = 1;

char st1[1000];
void read_type(char *type)
{
	if(read==n)
	{
		printf("ERROR 2\n");
		exit(0);
	}

	scanf("%s",st1);
	if(strcmp(st1,type))
	{
		printf("ERROR 1\n");
		exit(0);
	}
	++read;
}

void read_flags(char** ss)
{
	if(**ss == '+' || **ss == '-')
		++*ss;
}

void read_width(char** ss)
{
	if(**ss == '*')
	{
		++*ss;
		read_type("int");
	}
	else
	{
		while(**ss >='0' && **ss <='9')
			++*ss;
	}
}

void read_prec(char** ss)
{
	if(**ss != '.')return;
	++*ss;

	read_width(ss);
}

void read_format(char** ss)
{
	if(**ss == '\%')
	{
		++*ss;
		return;
	}
	if(**ss == 'l')
	{
		++*ss;
		if(**ss=='d')read_type("longint");
		else if(**ss=='f'||**ss=='e'||**ss=='g'||**ss=='E'||**ss=='G')
			read_type("double");
	}
	else if(**ss == 'L')
	{
		++*ss;
		if(**ss=='f'||**ss=='e'||**ss=='g'||**ss=='E'||**ss=='G')
			read_type("extended");
	}
	else if(**ss == 'd')read_type("int");
	else if(**ss=='f'||**ss=='e'||**ss=='g'||**ss=='E'||**ss=='G')read_type("single");
	else if(**ss == 'c')read_type("char");
	else if(**ss == 's')read_type("string");
	++*ss;
}


char spec[300];

int main()
{
	freopen( "input.txt", "r", stdin );
	freopen( "output.txt", "w", stdout );


	scanf("%ld\n",&n);
	gets(spec);

	char *ss = spec;
	++ss; //skip "
	while(*ss)
	{
		if(*ss == '\%')
		{
			++ss;
			while
			(
				*ss &&
				!(
					(*ss >= 'A' && *ss <='Z') ||
					(*ss >= 'a' && *ss <='z') ||
					*ss == '%'
				)
			)
				{
					if(*ss=='*')read_type("int");
					++ss;
				}
			read_format(&ss);
		}
		else ++ss;
	}
	if(read != n)printf("ERROR 3\n");
	else printf("OK\n");

	fclose( stdout );
	fclose( stdin );
	return 0;
}