#include <stdlib.h>
#include <math.h>
#include <assert.h>
#include <ctype.h>
#include <string.h>
#include <fstream.h>

enum bool { false, true };

long N;
long double a,b,c;
long caseNo = 0;
long k;

bool finish = false;

long double sk()
{
	return k*(k+1.0)/2.0;
}

long double sk2()
{
	return k*(k+1.0)*(2.0*k+1.0)/6.0;
}

bool d()
{
	long double A = a*k+a;
	long double B = b + sk()*2*a+k*b;
	long double C = sk()*b+k*c+c+sk2()*a;
	if (B*B - 4*A*C >= 0)
		return true;
	else
		return false;
}

void Input()
{
	cin >> a >> b >> c;
}

void Solve()
{
	bool found = false;
	long l = 0;
	long r = 1000000000;


	while (r - l > 100){
		k = (l + r) /2;

		if (d() == false)
			r = (l + r) / 2;
		else
			l = (l + r) / 2;
	}
	for (k = l - 10; k < r + 10; k++)
	{
		if (k < 0)
		k = 0;

		if (d() == false)
			break;
	}
}

void Output()
{
	cout << k << endl;
}

int main()
{
	ifstream is = "input.txt";
	ofstream os = "output.txt";
	cin = is;
	cout = os;
	cin >> N;
	for (caseNo = 0; caseNo < N; caseNo++)
	{
		Input();
		if (finish)
			break;
		Solve();
		Output();
	}
	return 0;
}