#include <stdlib.h>
#include <math.h>
#include <assert.h>
#include <ctype.h>
#include <string.h>
#include <fstream.h>

enum bool { false, true };

long caseNo = 0;
const long MAX = 1200;
struct Point {
	long x, y;
} A[MAX];
long N, minX, maxX, minY, maxY;


bool finish = false;

void Input()
{
	cin >> N;
	if (N)
		{
			cin >> A[0].x >> A[0].y;
			minX = maxX = A[0].x;
			minY = maxY = A[0].y;
		}

	for (long i = 1; i < N; i++)
		{
			cin >> A[i].x >> A[i].y;

			if (A[i].x > maxX)
				maxX = A[i].x;
			if (A[i].x < minX)
				minX = A[i].x;

			if (A[i].y > maxY)
				maxY = A[i].y;
			if (A[i].y < minY)
				minY = A[i].y;
		}
}

int fcmp (const void *a, const void *b) {
	Point v1;
	Point v2;

	v1 = *(Point*) a;
	v2 = *(Point*) b;

	if (v1.y == v2.y)
		return (v1.x - v2.x);
	else
		return (v2.y - v1.y);
}

void Solve()
{
	qsort(A, N, sizeof A[0], fcmp);

	long k = 0;
	if (minY > 0)
		minY = 0;
	if (minX > 0)
		minX = 0;

	if (maxY < 0)
		maxY = 0;
	if (maxX < 0)
		maxX = 0;

	for (long y = maxY; y >= minY; y--){
		for (long x = minX; x <= maxX; x++){
			bool OK = false;
			for (long k = 0; k < N; k++)
				if (A[k].x == x && A[k].y == y)
					OK = true;
			if (OK)
				cout << '*';
			else {
				if (x == 0 && y == 0)
					cout << '+';
				if (x == 0 && y != 0)
					cout << '|';
				if (x != 0 && y == 0)
					cout << '-';
				if (x != 0 && y != 0)
					cout << '.';
			}
		}
		cout << endl;
	}
/*	for (long i = maxY - minY; i > 0 ; i--)
		{
			long j = 0;
			while (A[k].y == minY + i)
				{
					for (; j < maxX - minX && j != A[k].x; j++)
						{
							if (j + minX == 0 || i + minY == 0)
								if (j + minX == 0 && i + minY == 0)
									cout << '+';
								else
									if (j + minX == 0)
										cout << '|';
									else
										cout << '-';
							else
								cout << '.';

						}
					cout << '*';
					k++;
					j++;
				}
			cout << endl;
		}*/

}

void Output()
{
}

int main()
{
	ifstream is = "input.txt";
	ofstream os = "output.txt";
	cin = is;
	cout = os;
	for (caseNo = 0; !finish; caseNo++)
	{
		Input();
		if (finish)
			break;
		Solve();
		Output();
		finish = true;
	}
	return 0;
}