#include <fstream.h>
#include <stdlib.h>


const int MAX = 110;

typedef struct {
	long x, y;
} point;

int n;
point p[MAX];
int swp;

int find(int i, int j);

int compare(const void *a, const void * b);


int main()
{
  ifstream cin("input.txt");
  ofstream cout("output.txt");

  int maxx, minx, maxy, miny;
  int i, j;

  cin >> n;

  for (i = 0; i < n; i++)
	cin >> p[i].x >> p[i].y;

  minx = p[i].x;

  for (i = 0; i < n; i++)
	if (p[i].x < minx)
		minx = p[i].x;
  miny = p[0].y;

  for (i = 0; i < n; i++)
	if (p[i].y < miny)
		miny = p[i].y;
  maxx = p[0].x;

  for (i = 0; i < n; i++)
	if (maxx < p[i].x)
		maxx = p[i].x;
  maxy = p[0].y;

  for (i = 0; i < n; i++)
	if (maxy < p[i].y)
		maxy = p[i].y;

  qsort(p, n, sizeof(p[0]), compare);

  if (maxy < 0)
	maxy = 0;
  if (maxx < 0)
	maxx = 0;
  if (minx > 0)
	minx = 0;
  if (miny > 0)
	miny = 0;

  for (i = maxy; i >= miny; i--) {
	for (j = minx; j <= maxx; j++) {
	   swp = find(i, j);
	   if (i == 0 && j == 0 && swp == -1)
		cout << "+";
	   else
		if (i == 0 && swp == -1)
			cout << "-";
	   else
		if (j == 0 && swp == -1)
			cout << "|";
	   else
		if (swp == -1)
			cout << ".";
	   else
		cout << "*";
	   if (i == 0 && j == 2)
		i = 0;
	}
	cout << endl;
   }


  return 0;
}

int compare(const void *a, const void * b)

{
  point *s, *d;
  s = (point *) a;
  d = (point *) b;
  if (d->y == s->y)
	return 0;
  if (d->y < s->y)
	return -1;
  return 1;
}

int find(int i, int j)
{
   int v;
   point s;

   for (v = 0; v < n; v++) {
      if (p[v].x == j && p[v].y == i) {
	return v;
      }
      if (p[v].y < i)
	return -1;
   }
  return -1;
}