#include <fstream.h>
#include<stdio.h>
#include <math.h>
struct Point;
double Sq(double p,double a,double b,double c);
double Dist(Point B1,Point B2);
int Into(Point A1,Point A2,Point A3);
int Inter(Point Q1,Point Q2,Point Q3,Point Q4);
double Vect(Point Q1,Point Q2,Point Q3,Point Q4);
const double e = 1E-7;
struct Point{
	double x,y;
};
Point F,A,B,C,H;
Point Gad;
FILE  *f;
int main()
{
	double S=0,Si,a=10,i=1;
	A.x = A.y = 0;
	B.x = B.y = 10;
	C.x = 10; C.y = 0;
	ifstream cin("input.txt");
	ofstream cout("output.txt" );
	f = fopen( "output.txt", "w" );
	cin >> F.x >> F.y;
	while(1){
		Si = a*a/pow(2.0,i+1);
		if (Si < e)
			break;
		H.x = (A.x +B.x)/2;
		H.y = (A.y +B.y)/2;
		if (Inter(C,H,Gad,F))
			S += Si;
		if ( Into(A,H,C) ){
			B.x = C.x;  B.y = C.y;
		}
		else{
			A.x = C.x;  A.y = C.y;
		}
		C.x = H.x; C.y = H.y;
		i++;
	}
	fprintf( f, "%.3lf\n", S );
	fclose( f );
	return 0;
}
int Inter(Point Q1,Point Q2,Point Q3,Point Q4){
	double u,u1,u2,k1,k2;
	u = Vect(Q1,Q2,Q3,Q4);
	u1= Vect(Q1,Q3,Q3,Q4);
	u2= Vect(Q1,Q3,Q1,Q2);
	k1= u1/u; k2= u2/u;
	if (k1>=0 && k1<=1 && k2>=0 && k2<=1)
		return 1;
	return 0;
}
double Vect(Point Q1,Point Q2,Point Q3,Point Q4){
	return ( (Q2.x-Q1.x)*(Q4.y-Q3.y) - (Q4.x-Q3.x)*(Q2.y-Q1.y) );
}
int Into(Point A1,Point A2,Point A3){
	double r1,r2,r3,a1,a2,a3,p1,p2,p3,s1,s2,s3,p,s;
	r1 = Dist(F,A1);
	r2 = Dist(F,A2);
	r3 = Dist(F,A3);
	a1 = Dist(A1,A2);
	a2 = Dist(A1,A3);
	a3 = Dist(A2,A3);
	p1 = (a1+r1+r2)/2;
	p2 = (r2+r3+a3)/2;
	p3 = (r1+r3+a2)/2;
	s1 = Sq(p1,a1,r1,r2);
	s2 = Sq(p2,a3,r2,r3);
	s3 = Sq(p3,a2,r1,r3);
	p = (a1+a2+a3)/2;
	s = Sq(p,a1,a2,a3);
	if (fabs( s- (s1+s2+s3) )<e)
		return 1;
	return 0;
}
double Dist(Point B1,Point B2){
	return sqrt( (B1.x - B2.x)*(B1.x - B2.x) + (B1.y - B2.y)*(B1.y - B2.y) );
}
double Sq(double p,double a,double b,double c){
	return sqrt( p*(p-a)*(p-b)*(p-c) );
}