{$A+,B-,D+,E+,F-,G-,I-,L+,N-,O-,P-,Q-,R-,S-,T-,V+,X+}
{$M 16384,0,655360}
type
  integer=longint;
  value=array ['A'..'Z'] of integer;

TYPE
    PQUEUE = ^TQUEUE;
    TQUEUE = record
           chr : char;
           next : PQUEUE;
           end;

var
  source,
  vals: value;
  len: integer;
  top, bottom : PQUEUE;

var
  inp: string;
  k: integer;

Function OutQueue : char;
         var
            temp : PQUEUE;
         begin
              temp := bottom;
              OutQueue := bottom^.chr;
              bottom := bottom^.next;
              Dispose(temp);
         end;

PROCEDURE AddQueue(ch : char);
          var
             temp : PQUEUE;
          begin
               New(temp);
               temp^.chr := ch;
               temp^.next := NIL;
               if bottom = NIL then
                  bottom := temp
               else
                   top^.next := temp;
               top := temp;
          end;

function ReadChar(var ch: char): boolean;
var
  s: string;
  i: integer;
label
  again;
begin
  if k<=length(inp) then
    begin
      ReadChar:=true;
      ch:=inp[k];
      inc(k);
    end
  else
again:
    if not eof then
      begin
        readln(s);
        inp:='';
        for i:=1 to length(s) do
          if s[i] in ['A'..'Z','a'..'z'] then
            inp:=inp+UpCase(s[i]);
        if inp='' then
          goto again;
        k:=2;
        ReadChar:=true;
        ch:=inp[1];
      end
    else
      ReadChar:=false;
end;

procedure GetPol(const s: string; var q: value);
var
  i: integer;
  ch: char;
begin
  for ch:='A' to 'Z' do
    q[ch]:=0;
  for i:=1 to length(s) do
    inc(q[UpCase(s[i])]);
end;

function Equal: boolean;
var
  ch: char;
begin
  ch:='A';
  while (ch<='Z') and (vals[ch]=source[ch]) do
    inc(ch);
  Equal:=(ch>'Z');
end;

var
  s: string;
  i,n: integer;
  ch: char;
begin
  top := NIL;
  bottom := NIL;
  assign(input,'input.txt'); reset(input);
  assign(output,'output.txt'); rewrite(output);
  i:=1;
  inp:='';
  k:=1;
  ReadChar(ch);
  s:=inp;
  len:=length(s);
  GetPol(s,source);
  inp:='';
  k:=1;
  for ch:='A' to 'Z' do
    vals[ch]:=0;
  i:=1;
  while (i<=len) and ReadChar(ch) do
    begin
      AddQueue(ch);
      inc(vals[ch]);
      inc(i);
    end;
  n:=0;
  if i<=len then
    writeln(0)
  else
    begin
      if Equal then
        inc(n);
      while ReadChar(ch) do
        begin
          dec(vals[OutQueue]);
          AddQueue(ch);
          inc(vals[ch]);
          if Equal then
            inc(n);
        end;
      writeln(n);
    end;
  while bottom<>nil do
    OutQueue;
  close(input);
  close(output);
end.
