{$A+,B-,D+,E+,F-,G-,I+,L+,N+,O-,P-,Q-,R-,S+,T-,V+,X+}
{$M 16384,0,655360}
type
  real=extended;
  tp=record
    x,y:real;
  end;
  tl=record
    a,b,c:real;
  end;
const
  eps=1e-10;
var
  a,p1,p2,p3,p4,f:tp;
  s:real;
  tm:longint absolute $40:$6c;
  st:longint;
function len(var p1,p2:tp):real;
begin
  len:=sqrt(sqr(p1.x-p2.x)+sqr(p1.y-p2.y));
end;
function bound(var l:tl;var p:tp):real;
begin
  bound:=l.a*p.x+l.b*p.y+l.c;
end;
function eq(a,b:real):integer;
begin
  if abs(a-b)<eps then
    eq:=0
  else
    if a-b<-eps then
      eq:=-1
    else
      eq:=1;
end;
procedure makeline(var p1,p2:tp;var l:tl);
begin
  l.a:=p1.y-p2.y;
  l.b:=p2.x-p1.x;
  l.c:=-(l.a*p1.x+l.b*p1.y);
end;
function cross(var p11,p12,p21,p22:tp):boolean;
var
  l1,l2:tl;
begin
  makeline(p11,p12,l1);
  makeline(p21,p22,l2);
  cross:=((bound(l1,p21)*bound(l1,p22))<eps) and
         ((bound(l2,p11)*bound(l2,p12))<eps);
end;
function peq(var p1,p2:tp):boolean;
begin
  peq:=(abs(p1.x-p2.x)<eps) and (abs(p1.y-p2.y)<eps);
end;
function trs(var p1,p2,p3:tp):real;
begin
  trs:=abs(p1.x*p2.y-p1.y*p2.x+
           p2.x*p3.y-p2.y*p3.x+
           p3.x*p1.y-p3.y*p1.x)/2;
end;
begin
  st:=tm;
  assign(input,'input.txt');
  reset(input);
  assign(output,'output.txt');
  rewrite(output);
  read(f.x,f.y);
  a.x:=0.0;
  a.y:=0.0;
  p1.x:=0.0;
  p1.y:=0.0;
  p2.x:=10.0;
  p2.y:=10.0;
  p3.x:=10.0;
  p3.y:=0.0;
  if (eq(f.x,0.0)=0) and (eq(f.y,0.0)=0) then begin
    s:=25;
    writeln(s:0:3);
    close(input);
    close(output);
    halt;
  end;
  if (eq(f.x,f.y)=0) or (eq(f.y,0.0)=0) then begin
    writeln('0.000');
    close(input);
    close(output);
    halt;
  end;
  s:=0.0;
  while tm-st<78 do begin
    p4.x:=(p1.x+p2.x)/2;
    p4.y:=(p1.y+p2.y)/2;
    if cross(a,f,p3,p4) then
      if peq(f,p4) then begin
        if cross(a,f,p1,p3) or cross(a,f,p2,p3) then
          s:=s+trs(p1,p2,p3)/2;
      end else if peq(f,p3) then begin
        if cross(a,f,p1,p2) then
          s:=s+trs(p1,p2,p3)/2;
      end else s:=s+trs(p1,p2,p3)/2;
    case eq(len(p1,f),len(p2,f)) of
      1:begin
        p1:=p3;
        p3:=p4;
      end;
      -1:begin
        p2:=p3;
        p3:=p4;
      end;
      0:break;
    end;
  end;
  writeln(s:0:3);
  close(input);
  close(output);
end.
