#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <values.h>

typedef unsigned long ulong;
typedef unsigned int uint;

#define max(a,b) (a>b?a:b)
//#define max3(a,b,c) (>b?a:b)
#define min(a,b) (a<b?a:b)

int N, minX, minY, maxX, maxY;
int X[100], Y[100];

int compf(const void *a, const void *b) {
	int i = *(int*)a;
	int j = *(int*)b;
	minX = min(min(minX, X[i]), X[j]);
	minY = min(min(minY, Y[i]), Y[j]);
	maxX = max(max(maxX, X[i]), X[j]);
	maxY = max(max(maxY, Y[i]), Y[j]);
	if (Y[i]>Y[j]) return -1;
	return 1;
}

int main() {
	int i, j;
	FILE *fi = fopen("input.txt", "r");
	fscanf(fi, "%d", &N);
	int T[100];
	for (i=0; i<N; i++) {
		fscanf(fi, "%d%d", &X[i], &Y[i]);
		T[i] = i;
	}
	fclose(fi);
	minX = minY = MAXINT;
	maxX = maxY = -MAXINT;
/*	for (i=0; i<N; i+++) {
		minX = min(minX, X[i]);
		minY = min(minY, Y[i]);
		maxX = max(maxX, X[i]);
		maxY = max(maxY, Y[i]);
	}*/
	qsort(T, N, sizeof(T[0]), compf);
	FILE *fo = fopen("output.txt", "w");
	int x, y;
	for (y = max(maxY, 0); y>=min(minY, 0); y--) {
		for (x = min(minX, 0); x<=max(maxX, 0); x++) {
			for (int k=0; k<N; k++) {
				if (Y[k]==y && X[k]==x) {
					fputc('*', fo);
					break;
				}
			}
			if (k>=N) {
				if (x==0 && y==0) fputc('+', fo);
				else if (x==0) fputc('|', fo);
				else if (y==0) fputc('-', fo);
				else fputc('.', fo);
			}
		}
		putc('\n', fo);
	}
	fclose(fo);
	return 0;
}