/* 6 祬 ࠫ  ணࠬ஢
   () ⨭ ., 2002
     訡
*/
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

typedef struct _POINT_{
     double x,y;
}POINT;

double eps=1e-7;

// ஢ઠ 室  設 a  १ bc
int CheckVertex (POINT *a,POINT *b,POINT *c)
{
    double  p,q;

    if (fabs(c->x-b->x)<eps){
       if (fabs(a->x-b->x)>eps)return 0;
       q=(a->y-b->y)/(c->y-b->y);
       return (q>-eps && q<1+eps);
    }
    if (fabs(c->y-b->y)<eps){
       if (fabs(a->y-b->y)>eps)return 0;
       p=(a->x-b->x)/(c->x-b->x);
       return (p>-eps && p<1+eps);
    }
    p=(a->x-b->x)/(c->x-b->x);
    q=(a->y-b->y)/(c->y-b->y);
    return (fabs(p-q)<eps && p>-eps && p<1+eps);
}

// ஢ઠ ᥪ  १ a1b1  a2b2
int LengthCross (POINT *a1,POINT *b1,POINT *a2,POINT *b2)
{
    double  k1,k2,b_1,b_2;
    POINT   a;

    if (fabs(b1->x-a1->x)<eps){
       if (fabs(b2->x-a2->x)<eps)return 0;
       k2=(b2->y-a2->y)/(b2->x-a2->x);
       b_2=a2->y-k2*a2->x;
       a.x=a1->x;
       a.y=k2*a.x+b_2;
    }else
    if (fabs(b2->x-a2->x)<eps){
       if (fabs(b1->x-a1->x)<eps)return 0;
       k1=(b1->y-a1->y)/(b1->x-a1->x);
       b_1=a1->y-k1*a1->x;
       a.x=a2->x;
       a.y=k1*a.x+b_1;
    }else{
       k1=(b1->y-a1->y)/(b1->x-a1->x);
       k2=(b2->y-a2->y)/(b2->x-a2->x);
       b_1=a1->y-k1*a1->x;
       b_2=a2->y-k2*a2->x;
       if (fabs(k2-k1)<eps)return 0;
       a.x=(b_2-b_1)/(k1-k2);
       a.y=k1*a.x+b_1;
    }
    return (CheckVertex(&a,a1,b1) && CheckVertex(&a,a2,b2));
}

// ஢ઠ: ਭ  窠 t 㣮쭨 abc
int CheckAccessory (POINT *t,POINT *a,POINT *b,POINT *c)
{
    double  r1,r2,r3;

    r1=(t->x-a->x)*(b->y-a->y)-(b->x-a->x)*(t->y-a->y);
    r1=(t->x-b->x)*(c->y-b->y)-(c->x-b->x)*(t->y-b->y);
    r1=(t->x-c->x)*(a->y-c->y)-(a->x-c->x)*(t->y-c->y);
    return (r1*r2>-eps && r1*r3>-eps);
}

int main (void)
{
    FILE *in,*out;
    POINT a,b,c,s,e,h;
    double s1,sum;
    int    flag;

    in=fopen ("input.txt","r");
    out=fopen ("output.txt","w");

    s.x=s.y=a.y=a.x=0.0;
    b.x=10.0;
    b.y=0.0;
    c.x=10.0;
    c.y=10.0;
    fscanf (in,"%lf %lf",&e.x,&e.y);

    s1=50.0;
    sum=0.0;
    flag=0;
    do{
       s1/=2.0;
       h.x=(a.x+c.x)/2.0;
       h.y=(a.y+c.y)/2.0;

       if (CheckVertex (&a,&s,&e)){
          if (LengthCross (&s,&e,&b,&h)){flag=1;sum+=s1;}
          else flag=0;
       }else if (CheckVertex (&h,&s,&e) || CheckVertex (&b,&s,&e)){
                if (CheckAccessory (&e,&a,&b,&h))flag=0;
                else flag=1;
       }else if (CheckVertex (&c,&s,&e)){
                if (LengthCross (&s,&e,&b,&h)){flag=0;sum+=s1;}
                else flag=1;
       }else if (LengthCross (&s,&e,&a,&b)){
                if (LengthCross (&s,&e,&b,&h)){flag=1;sum+=s1;}
                else flag=0;
       }else if (LengthCross (&s,&e,&a,&h)){
                if (LengthCross (&s,&e,&b,&h)){flag=1;sum+=s1;}
                else flag=0;
       }else if (LengthCross (&s,&e,&b,&c)){
                if (LengthCross (&s,&e,&b,&h)){flag=0;sum+=s1;}
                else flag=1;
       }else if (LengthCross (&s,&e,&h,&c)){
                if (LengthCross (&s,&e,&b,&h)){flag=0;sum+=s1;}
                else flag=1;
       }
       if (!flag)c=b;
       else a=b;
       b=h;
    }while (s1>0.00001);

    sum=floor(sum*1000.0+0.5)/1000.0;
    fprintf (out,"%.3lf",sum);

    fclose (in);
    fclose (out);
    return 0;
}
