#include <stdio.h>
#include <math.h>

const double eps = 1e-9;

long double min( long double a, long double b )
{
	return a < b ? a : b;
}

long double max( long double a, long double b )
{
	return a > b ? a : b;
}

int main()
{
	freopen( "input.txt", "r", stdin );
	freopen( "output.txt", "w", stdout );

	int n, i;
	long double A, B, C, q1, q2, k1, k2, d;
	scanf( "%d", &n );
	for( i = 0; i < n; ++i )
	{
		scanf( "%Lf %Lf %Lf", &A, &B, &C );
		d = B*B-4*A*C;
		if( d < -eps )
		{
			printf( "0\n" );
			continue;
		}
		k1 = -1.0-sqrtl(A*A+3.0*d)/(A);
		k2 = -1.0+sqrtl(A*A+3.0*d)/(A);
		if( k1 > eps || k2 < -eps )
		{
			printf( "0\n" );
			continue;
		}
		if( ceill(k2+eps) > 1e9 )
			printf( "1000000000\n" );
		else
			printf( "%.0Lf\n", ceill(k2+eps) );
	}

	fclose( stdout );
	fclose( stdin );
	return 0;
}