type
  ttype=(tint,tlong,tsingle,tdouble,textended,tchar,tstring,tunk);
var
  i,j:integer;
  a:array[0..200] of ttype; na,ma:integer;
function stot(s:string):ttype;
var i:integer;
begin
{  for i:=1 to length(s) do s[i]:=upcase(s[i]);}
  if s='int' then stot:=tint
  else if s='longint' then stot:=tlong
  else if s='single' then stot:=tsingle
  else if s='double' then stot:=tdouble
  else if s='extended' then stot:=textended
  else if s='char' then stot:=tchar
  else if s='string' then stot:=tstring
  else stot:=tunk;
end;
function tof(const s:string):ttype;
begin
  if (s='d') then tof:=tint
  else if (s='ld') then tof:=tlong
  else if (s='f') or (s='e') or (s='g') or (s='E') or (s='G') then tof:=tsingle
  else if (s='lf') or (s='le') or (s='lg') or (s='lE') or (s='lG') then tof:=tdouble
  else if (s='Lf') or (s='Le') or (s='Lg') or (s='LE') or (s='LG') then tof:=textended
  else if (s='c') then tof:=tchar
  else if (s='s') then tof:=tstring
  else tof:=tunk;
end;

procedure push(u:ttype);
begin
  a[na]:=u; inc(na);
end;

procedure pushok(u:ttype);
begin
  a[na]:=u; inc(na); ma:=na;
end;

procedure pushcancel;
begin
  na:=ma;
end;

procedure parse(s:string);
var i,j,k:integer; t:string; u:ttype;
begin
  na:=0; ma:=0;
  repeat
    pushcancel;
    if length(s)=0 then break;
    i:=pos('%',s); if i=0 then break; delete(s,1,i);
    if length(s)=0 then break;
    if (s[1]='%') then begin
      delete(s,1,1); continue
    end;
    if length(s)=0 then break;
    while (length(s)>0) and ((s[1]='+') or (s[1]='-')) do delete(s,1,1);
    if length(s)=0 then break;
    if (s[1]='*') then begin
      push(tint);
      delete(s,1,1)
    end else begin
      j:=1; while (j<=length(s)) and (s[j] in ['0'..'9']) do inc(j);
      if j>1 then delete(s,1,j-1);
    end;
    if length(s)=0 then break;
    if (s[1]='.') then begin
      delete(s,1,1);
      if (s[1]='*') then begin
        push(tint);
        delete(s,1,1)
      end else begin
        j:=1; while (j<=length(s)) and (s[j] in ['0'..'9']) do inc(j);
        if j>1 then delete(s,1,j-1);
      end;
    end;
    if length(s)=0 then break;
    t:=copy(s,1,1);
    u:=tof(t); if u<>tunk then begin
      pushok(u); delete(s,1,1)
    end else begin
      if length(s)<2 then continue;
      t:=copy(s,1,2);
      u:=tof(t);
      if u=tunk then continue;
      pushok(u); delete(s,1,2);
    end;
  until false;
  pushcancel;
end;

var n,q:integer; s,t:string; u:ttype;
begin
  assign(input,'input.txt'); reset(input);
  assign(output,'output.txt'); rewrite(output);
  readln(n);
  readln(s);
{  if (length(s)<2) or (s[1]<>'"') or (s[length(s)]<>'"') then begin
    writeln('ERROR 1'); close(output); close(input); halt(0);
  end;}
  parse(s);
  q:=na; if n-1<q then q:=n-1;
  for i:=0 to q-1 do begin
    readln(t); u:=stot(t);
    if a[i]<>u then begin writeln('ERROR 1'); close(output); halt(0) end;
  end;
  if na>n-1 then writeln('ERROR 2')
  else if n-1>na then writeln('ERROR 3')
  else writeln('OK');
  close(input); close(output);
end.