#include <fstream.h>
const int nmax = 100;
struct pt
{
  int x, y;
};
pt a[nmax];
int n;
int less(pt a, pt b)
{
  return a.y > b.y || a.y == b.y && a.x < b.x;
}
void sort(int l, int r)
{
  int i, j;
  pt t, x;
  if (l < r)
  {
    i = l; j = r; x = a[(l + r) / 2];
    do
    {
      for (; less(a[i], x); i++);
      for (; less(x, a[j]); j--);
      if (i <= j)
      {
	t = a[i]; a[i] = a[j]; a[j] = t;
	i++; j--;
      }
    }
    while (i <= j);
    sort(l, j);
    sort(i, r);
  }
}
main()
{
  int i, j, xmin, ymin, xmax, ymax, p;
  ifstream is("input.txt");
  ofstream os("output.txt");
  cin = is;
  cout = os;
  cin >> n;
  xmin = 0;
  ymin = 0;
  xmax = 0;
  ymax = 0;
  for (i = 0; i < n; i++)
  {
    cin >> a[i].x >> a[i].y;
    xmin = a[i].x < xmin ? a[i].x : xmin;
    ymin = a[i].y < ymin ? a[i].y : ymin;
    xmax = a[i].x > xmax ? a[i].x : xmax;
    ymax = a[i].y > ymax ? a[i].y : ymax;
  }
  p = 0;
  sort(0, n - 1);
  for (i = ymax; i >= ymin; i--)
  {
    for (j = xmin; j <= xmax; j++)
    {
      if (p < n && i == a[p].y && j == a[p].x)
      {
	cout << '*';
	p++;
      }
      else
      {
	if (i == 0 && j == 0)
	{
	  cout << '+';
	}
	else
	{
	  if (i == 0)
	  {
	    cout << '-';
	  }
	  else
	  {
	    if (j == 0)
	    {
	      cout << '|';
	    }
	    else
	    {
	      cout << '.';
	    }
	  }
	}
      }
    }
    cout << endl;
  }
  return 0;
}