#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <values.h>

typedef unsigned long ulong;
typedef unsigned int uint;

#define max(a,b) (a>b?a:b)
#define min(a,b) (a<b?a:b)

int N, L, Sm, K, Sm2;
char S[102];
int T[100];
int B[100];
int St[50];


int ton(char c) {
	if (c<'A') return c-'0';
	return c+10-'A';
}

int end=0;

void tick(int li) {
	if (end) return;
	K--;
	if (K<0) {
		K++;
		int S3 = Sm - 2*Sm2;
		if (L%2==0) {
			if (S3==0)
				end = 1;
			return;
		}
		for (int i=0; i<L; i++) {
			if (!B[i] && T[i]==S3) {
				end = i;
				return;
			}
		}
		return;
	}
	for (int i=li; i<L; i++) {
		if (!B[i]) {
			Sm2+=T[i];
			B[i] = 1;
			St[K] = i;
			tick(i);
			if (end) return;
			i = St[K];
			B[i] = 0;
			Sm2-=T[i];
		}
	}
	K++;
}

char toc(int a) {
	if (a<10) return a+'0';
	return a-10+'A';
}

FILE *fo;
void check() {
	L = strlen(S);
	K = L/2;
	for (int i=0; i<L; i++) {
		T[i] = ton(S[i]);
		Sm += T[i];
	}
	end = 0;
	i=0;
	tick(i);
	for (i=0; i<L; i++) {
		if (B[i]) fprintf(fo, "%c", toc(T[i]));
	}
	if (L%2) fprintf(fo, "%c", toc(T[end]));
	for (i=0; i<L; i++) {
		if (!B[i]) fprintf(fo, "%c", toc(T[i]));
	}
}

int main() {
	FILE *fi = fopen("input.txt", "r");
	fscanf(fi, "%d", &N);
	fo = fopen("output.txt", "w");
	for (int i=0; i<N; i++) {
		fscanf(fi, "%s", S);
		check();
	}
	fclose(fi);
	fclose(fo);
	return 0;
}